<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from linalg_condeig.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="linalg_condeig" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>linalg_condeig</refname><refpurpose>Computes the condition number of the eigenvalues of a matrix.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   kappa = linalg_condeig(A)
   [R,D] = linalg_condeig(A)
   [R,D,kappa] = linalg_condeig(A)

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>A :</term>
      <listitem><para> a n-by-n matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>R :</term>
      <listitem><para> a n-by-n matrix of doubles, the right eigenvectors</para></listitem></varlistentry>
   <varlistentry><term>D :</term>
      <listitem><para> a n-by-n matrix of doubles, the diagonal eigenvalue matrix</para></listitem></varlistentry>
   <varlistentry><term>kappa :</term>
      <listitem><para> a n-by-1 matrix of doubles, the condition number of all eigenvalues</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Computes the sensitivity of the eigenvalues with respect to changes in
the matrix.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
A = [
-149   -50  -154
537   180   546
-27    -9   -25
];
kappa = linalg_condeig(A)
[R,D,kappa] = linalg_condeig(A)
kappa_expected = [603.6390 395.2366 219.2920]';

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2011 - DIGITEO - Michael Baudin</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Matrix Computations", G.H. Golub and C.F. Van Loan, Second Edition, 1989, sec. 7.2.2.</para>
   <para>"Numerical Computing with Matlab", Cleve Moler</para>
</refsection>
</refentry>
